window.board = {
	id: 'Armadillo-IoT_A6E',
	name: 'Armadillo-IoT Gateway A6E',
	minPin: 1,
	maxPin: 34
};

window.board.groups = {
	"adc": {
		description: 'ADC',
			cssClass: 'success',
	},
	"can": {
	description: 'CAN',
		cssClass: 'info',
	},
	"ecspi": {
	description: 'ECSPI',
		cssClass: 'danger',
	},
	"mqs": {
		description: 'MQS',
			cssClass: 'success',
	},
	"pwm": {
	description: 'PWM',
		cssClass: 'info',
	},
	"uart": {
	description: 'UART',
		cssClass: 'danger',
	}
};

window.board.features = {
	"adc1-in1": {
		description: 'ADC1(IN1)',
	group: 'adc',
		cssClass: 'danger',
		configurations: [
		{pins: [7]},
		]
	},
	"adc1-in2": {
		description: 'ADC1(IN2)',
	group: 'adc',
		cssClass: 'warning',
		configurations: [
		{pins: [8]},
		]
	},
	"adc1-in3": {
		description: 'ADC1(IN3)',
	group: 'adc',
		cssClass: 'danger',
		configurations: [
		{pins: [9]},
		]
	},
	"adc1-in4": {
		description: 'ADC1(IN4)',
	group: 'adc',
		cssClass: 'warning',
		configurations: [
		{pins: [10]},
		]
	},
	"can1": {
		description: 'CAN1(RX/TX)',
		group: 'can',
		cssClass: 'success',
		configurations: [
			{pins: [22, 23], signalNames: {"22": "TX", "23": "RX"}},
		]
	},
	"can2": {
		description: 'CAN2(RX/TX)',
		group: 'can',
		cssClass: 'warning',
		configurations: [
			{pins: [24, 25], signalNames: {"24": "TX", "25": "RX"}},
		]
	},
	"ecspi1": {
		description: 'ECSPI1(SCLK/MOSI/MISO/SS0)',
		group: 'ecspi',
		cssClass: 'success',
		configurations: [
			{pins: [29, 30, 31, 32], signalNames: {"29": "SCLK", "30": "SS0", "31": "MOSI", "32": "MISO"}}
		]
	},
	"ecspi1-ss1": {
		description: 'ECSPI1(SS1)',
	group: 'ecspi',
		cssClass: 'success',
		configurations: [
		{pins: [19]},
		]
	},
	"ecspi1-ss2": {
		description: 'ECSPI1(SS2)',
	group: 'ecspi',
		cssClass: 'success',
		configurations: [
		{pins: [20]},
		]
	},
	"ecspi1-ss3": {
		description: 'ECSPI1(SS3)',
	group: 'ecspi',
		cssClass: 'success',
		configurations: [
		{pins: [21]},
		]
	},
	"mqs": {
		description: 'MQS',
	group: 'mqs',
		cssClass: 'danger',
		configurations: [
		{pins: [7]},
		]
	},
	"pwm1": {
		description: 'PWM1',
		group: 'pwm',
		cssClass: 'success',
		configurations: [
			{pins: [14]}
		]
	},
	"pwm2": {
		description: 'PWM2',
		group: 'pwm',
		cssClass: 'danger',
		configurations: [
			{pins: [15]}
		]
	},
	"pwm3": {
		description: 'PWM3',
		group: 'pwm',
		cssClass: 'success',
		configurations: [
			{pins: [10]},
			{pins: [16]}
		]
	},
	"pwm4": {
		description: 'PWM4',
		group: 'pwm',
		cssClass: 'danger',
		configurations: [
			{pins: [17]}
		]
	},
	"uart1": {
		description: 'UART1(RXD/TXD)',
		group: 'uart',
		cssClass: 'info',
		configurations: [
			{pins: [8, 9], signalNames: {"8": "TXD", "9": "RXD"}}
		]
	},
	"uart7": {
		description: 'UART7(RXD/TXD)',
		group: 'uart',
		cssClass: 'warning',
		configurations: [
			{pins: [27, 28], signalNames: {"27": "TXD", "28": "RXD"}}
		]
	},
	"uart7-hf": {
		description: 'UART7(RTS/CTS)',
		group: 'uart',
		cssClass: 'warning',
		configurations: [
			{pins: [20, 21], signalNames: {"20": "CTS", "21": "RTS"}}
		]
	}
};
