window.board = {
	id: 'Armadillo-IoT_A9E',
	name: 'Armadillo-IoT Gateway A9E',
	minPin: 1,
	maxPin: 34
};

window.board.groups = {
	"adc": {
		description: 'ADC',
		cssClass: 'success',
	},
	"uart": {
		description: 'UART',
		cssClass: 'info',
	},
	"lpi2c": {
		description: 'LPI2C',
		cssClass: 'success',
	},
	"wakeup-keys": {
		description: 'WAKEUP KEY',
		cssClass: 'info',
	}
};

window.board.features = {
	"adc1-ch0a": {
		description: 'ADC1(CH0A)',
		group: 'adc',
		cssClass: 'danger',
		configurations: [
			{pins: [25], signalNames: {"25": "CH0A"}}
		]
	},
	"adc1-ch0b": {
		description: 'ADC1(CH0B)',
		group: 'adc',
		cssClass: 'warning',
		configurations: [
			{pins: [27], signalNames: {"27": "CH0B"}}
		]
	},
	"adc1-ch0ab": {
		description: 'ADC1(CH0AB Diff)',
		group: 'adc',
		cssClass: 'danger',
		configurations: [
			{pins: [25, 27], signalNames: {"25": "CH0A", "27": "CH0B"}}
		]
	},
	"adc1-ch0ba": {
		description: 'ADC1(CH0BA Diff)',
		group: 'adc',
		cssClass: 'warning',
		configurations: [
			{pins: [25, 27], signalNames: {"25": "CH0A", "27": "CH0B"}}
		]
	},
	"adc1-ch1a": {
		description: 'ADC1(CH1A)',
		group: 'adc',
		cssClass: 'danger',
		configurations: [
			{pins: [29], signalNames: {"29": "CH1A"}}
		]
	},
	"adc1-ch1b": {
		description: 'ADC1(CH1B)',
		group: 'adc',
		cssClass: 'warning',
		configurations: [
			{pins: [28], signalNames: {"28": "CH1B"}}
		]
	},
	"adc1-ch1ab": {
		description: 'ADC1(CH1AB Diff)',
		group: 'adc',
		cssClass: 'danger',
		configurations: [
			{pins: [28, 29], signalNames: {"28": "CH1B", "29": "CH1A"}}
		]
	},
	"adc1-ch1ba": {
		description: 'ADC1(CH1BA Diff)',
		group: 'adc',
		cssClass: 'warning',
		configurations: [
			{pins: [28, 29], signalNames: {"28": "CH1B", "29": "CH1A"}}
		]
	},
	"adc1-ch2a": {
		description: 'ADC1(CH2A)',
		group: 'adc',
		cssClass: 'danger',
		configurations: [
			{pins: [30], signalNames: {"30": "CH2A"}}
		]
	},
	"adc1-ch2b": {
		description: 'ADC1(CH2B)',
		group: 'adc',
		cssClass: 'warning',
		configurations: [
			{pins: [32], signalNames: {"32": "CH2B"}}
		]
	},
	"adc1-ch2ab": {
		description: 'ADC1(CH2AB Diff)',
		group: 'adc',
		cssClass: 'danger',
		configurations: [
			{pins: [30, 32], signalNames: {"30": "CH2A", "32": "CH2B"}}
		]
	},
	"adc1-ch2ba": {
		description: 'ADC1(CH2BA Diff)',
		group: 'adc',
		cssClass: 'warning',
		configurations: [
			{pins: [30, 32], signalNames: {"30": "CH2A", "32": "CH2B"}}
		]
	},
	"adc1-ch3a": {
		description: 'ADC1(CH3A)',
		group: 'adc',
		cssClass: 'danger',
		configurations: [
			{pins: [34], signalNames: {"34": "CH3A"}}
		]
	},
	"lpuart1": {
		description: 'LPUART1(RXD/TXD)',
		group: 'uart',
		cssClass: 'success',
		configurations: [
			{pins: [28, 29], signalNames: {"29": "TXD", "28": "RXD"}}
		]
	},
	"lpuart7": {
		description: 'LPUART7(RXD/TXD)',
		group: 'uart',
		cssClass: 'success',
		configurations: [
			{pins: [16, 18], signalNames: {"16": "TXD", "18": "RXD"}}
		]
	},
	"uart-flexio-tx": {
		description: 'UART-FLEXIO-TX',
		group: 'uart',
		cssClass: 'success',
		configurations: [
			{pins: [25], signalNames: {"25": "TXD"}},
			{pins: [27], signalNames: {"27": "TXD"}},
			{pins: [28], signalNames: {"28": "TXD"}},
			{pins: [29], signalNames: {"29": "TXD"}},
			{pins: [30], signalNames: {"30": "TXD"}},
			{pins: [32], signalNames: {"32": "TXD"}},
			{pins: [34], signalNames: {"34": "TXD"}}
		]
	},
	"uart-flexio-rx": {
		description: 'UART-FLEXIO-RX',
		group: 'uart',
		cssClass: 'success',
		configurations: [
			{pins: [25], signalNames: {"25": "RXD"}},
			{pins: [27], signalNames: {"27": "RXD"}},
			{pins: [28], signalNames: {"28": "RXD"}},
			{pins: [29], signalNames: {"29": "RXD"}},
			{pins: [30], signalNames: {"30": "RXD"}},
			{pins: [32], signalNames: {"32": "RXD"}},
			{pins: [34], signalNames: {"34": "RXD"}}
		]
	},
	"lpi2c0": {
		description: 'LPI2C0(SCL/SDA)',
		group: 'lpi2c',
		cssClass: 'danger',
		configurations: [
			{pins: [25, 27], signalNames: {"25": "SCL", "27": "SDA"}}
		]
	},
	"wuu0_p5": {
		description: 'WUU0_P5(WAKEUP KEY)',
		group: 'wakeup-keys',
		cssClass: 'success',
		configurations: [
			{pins: [25], signalNames: {"25": "PTA8"}}
		]
	},
	"wuu0_p6": {
		description: 'WUU0_P6(WAKEUP KEY)',
		group: 'wakeup-keys',
		cssClass: 'warning',
		configurations: [
			{pins: [27], signalNames: {"27": "PTA9"}}
		]
	},
	"wuu0_p7": {
		description: 'WUU0_P7(WAKEUP KEY)',
		group: 'wakeup-keys',
		cssClass: 'success',
		configurations: [
			{pins: [29], signalNames: {"29": "PTA10"}}
		]
	},
	"wuu0_p8": {
		description: 'WUU0_P8(WAKEUP KEY)',
		group: 'wakeup-keys',
		cssClass: 'warning',
		configurations: [
			{pins: [28], signalNames: {"28": "PTA11"}}
		]
	},
	"wuu0_p9": {
		description: 'WUU0_P9(WAKEUP KEY)',
		group: 'wakeup-keys',
		cssClass: 'success',
		configurations: [
			{pins: [30], signalNames: {"30": "PTA12"}}
		]
	},
	"wuu0_p10": {
		description: 'WUU0_P10(WAKEUP KEY)',
		group: 'wakeup-keys',
		cssClass: 'warning',
		configurations: [
			{pins: [32], signalNames: {"32": "PTA13"}}
		]
	},
	"wuu0_p11": {
		description: 'WUU0_P11(WAKEUP KEY)',
		group: 'wakeup-keys',
		cssClass: 'success',
		configurations: [
			{pins: [34], signalNames: {"34": "PTA14"}}
		]
	}
};
